Bug 858180 - Provide sane defaults in package selection spoke
Provide sane defaults in package selection spoke
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 05:20 EDT by drago01
Modified: 2012-11-22 21:17 EST (History)
8 users (show)

See Also:
Fixed In Version: anaconda-18.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 21:17:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description drago01 2012-09-18 05:20:43 EDT
Description of problem:

Anaconda seems to no longer default to any package selection (see http://lists.fedoraproject.org/pipermail/test/2012-September/109860.html) this is a bad design from a usability POV (quoting myself from the thread):

This *is* a bug IMO. We should have reasonable defaults and allow the
user to change them if he wants. But we should not force the user to
make choices that way. A user would have to know the differences
between the options to be able to make an informed decision. In case
the user has this knowledge he/she can open the spoke and change the
selection. In case the user doesn't it might more or less end up in a
random/wrong change.

The design goal of "allow the user to chose what he wants" does not conflict with that as experienced users can just uncheck the default and chose whatever they want.
Comment 1 Jóhann B. Guðmundsson 2012-09-18 05:42:38 EDT
We have two release blocking desktop which one should be the default?
Comment 2 drago01 2012-09-18 05:52:54 EDT
(In reply to comment #1)
> We have two release blocking desktop which one should be the default?

The one we promote as default (download page) and always have. Unless FESCo / the board wants to change that.

But this is not the point of this bug.
Comment 3 Chris Lumens 2012-09-18 10:07:20 EDT
What is a reasonable default?
Comment 4 drago01 2012-09-18 12:29:34 EDT
(In reply to comment #3)
> What is a reasonable default?

The default desktop so that a user can get a working system without having to bother with the package selection at all. Like with the old installer ... the newer design should improve usability not add such regressions. Those who know what they want can go into the spoke and change the selection.
Comment 5 David Cantrell 2012-09-18 13:01:28 EDT
Perhaps I'm missing something, but haven't we always used comps to specify defaults like that rather than hardcoding a group selection in the installer?

(Asking great knower of all things comps.)
Comment 6 Jesse Keating 2012-09-18 14:11:43 EDT
(In reply to comment #5)
> Perhaps I'm missing something, but haven't we always used comps to specify
> defaults like that rather than hardcoding a group selection in the installer?
> 
> (Asking great knower of all things comps.)

Comps used to have an idea of "default", and in fact we even had kickstart support for selecting those defaults via %packages --defaults, however in the recent comps shakeup done by Bill Nottingham, that has gone away and now comps appears to have no concept of default, and the --defaults option in kickstart is dead.
Comment 7 drago01 2012-09-24 08:20:21 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Perhaps I'm missing something, but haven't we always used comps to specify
> > defaults like that rather than hardcoding a group selection in the installer?
> > 
> > (Asking great knower of all things comps.)
> 
> Comps used to have an idea of "default", and in fact we even had kickstart
> support for selecting those defaults via %packages --defaults, however in
> the recent comps shakeup done by Bill Nottingham, that has gone away and now
> comps appears to have no concept of default, and the --defaults option in
> kickstart is dead.

So who/what decides about defaults now? Should anaconda just have it hardcoded?
Comment 8 Jesse Keating 2012-09-24 17:51:57 EDT
There are no defaults as of now.  That is, there are some groups that are selected by default when the user picks an environment, but none of the environments are marked as "default".
Comment 9 Adel Gadllah 2012-09-24 18:01:32 EDT
(In reply to comment #8)
> There are no defaults as of now.  That is, there are some groups that are
> selected by default when the user picks an environment, but none of the
> environments are marked as "default".

Yes that's what the bug is about. The question was "how to fix it" ?
Comment 10 Bill Nottingham 2012-09-25 01:34:59 EDT
Having the concept of 'default' groups when groups are combined into installation options isn't a valid concept - it's setting the default setting at the wrong level.

If the idea is for the installer to have a default preselected out of the choices that were given, the simplest way to do that is for it to just preselect the first installation choice specified by display_order. This keeps the choice of what it is out of anaconda. I could cook up a patch for this but probably not for a few days.
Comment 11 Jóhann B. Guðmundsson 2012-09-25 11:26:18 EDT
from the looks of it that solution will only delay the unenviable as in until KDE,XFCE, LXDE ( or some new DE ) decide they want to rename their comps group starting with an A or 0.
Comment 12 Chris Lumens 2012-09-25 11:36:31 EDT
Desktop environments are displayed based on a numeric order in comps, not alphabetically.
Comment 13 Adam Williamson 2012-11-22 21:17:06 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

(we've been defaulting to GNOME for some time now.)

Note You need to log in before you can comment on or make changes to this bug.